summaryrefslogtreecommitdiff
path: root/debian/sane.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/sane.preinst')
-rw-r--r--debian/sane.preinst20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian/sane.preinst b/debian/sane.preinst
new file mode 100644
index 0000000..9b78cf4
--- /dev/null
+++ b/debian/sane.preinst
@@ -0,0 +1,20 @@
+#!/bin/sh
+set -e
+
+case "$1" in
+ install|upgrade|abort-upgrade)
+#
+# remove obsolete link
+#
+ if [ -L /usr/lib/gimp/2.0/plug-ins/xscanimage ] ; then
+ rm -f /usr/lib/gimp/2.0/plug-ins/xscanimage
+ fi
+ ;;
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+
+#DEBHELPER#